Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.jclark.xsl.sax
Interface Destination

All Known Implementing Classes:
  GenericDestination

public interface Destination

represents the output destination for an XML document

Method Summary
`java.lang.String` | `getEncoding()` Returns the IANA name of the encoding actually used.
`java.io.OutputStream` | `getOutputStream(java.lang.String contentType, java.lang.String encoding)`
`java.io.Writer` | `getWriter(java.lang.String contentType, java.lang.String encoding)`
`boolean` | `keepOpen()` Returns true if the OutputStream or Writer should be kept open by the caller and not closed when the caller is done with it.
`Destination` | `resolve(java.lang.String uri)`

Method Detail

### getOutputStream

    public java.io.OutputStream getOutputStream(java.lang.String contentType,
                                                java.lang.String encoding)
                                         throws java.io.IOException

  Throws:
    `java.io.IOException`

### getWriter

    public java.io.Writer getWriter(java.lang.String contentType,
                                    java.lang.String encoding)
                             throws java.io.IOException,
                                    java.io.UnsupportedEncodingException

  Throws:
    `java.io.IOException`
    `java.io.UnsupportedEncodingException`

### keepOpen

    public boolean keepOpen()

  Returns true if the OutputStream or Writer should be kept open by the caller and not closed when the caller is done with it.

### getEncoding

    public java.lang.String getEncoding()

  Returns the IANA name of the encoding actually used.

### resolve

    public Destination resolve(java.lang.String uri)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD